/*
 * esp32.h
 *
 *  Created on: 2021/10/13
 *      Author: richard
 */

#ifndef ESP32_H_
#define ESP32_H_

#include <stdbool.h>

bool esp32_init(bool reset);
bool esp32_send_command(const char *cmd);
bool esp32_send_data(const char *data, int length);
void esp32_dump_rx();
void esp32_listen();
char *esp32_gets(char *buffer, int buffer_size);

#endif /* ESP32_H_ */
