module  BUT_SET (

input     CLK ,
input     BT  ,
input     [3:0] SW_MAX , 

output reg [3:0] SW_SET ,
input  CPU_RESET_n 

);


reg rB ; 
always @(negedge CPU_RESET_n or posedge CLK ) 
if (!CPU_RESET_n )   begin 
   rB     <= BT  ; 
	SW_SET <=4 ; 
end 
else 
begin 

   rB <= BT  ;
	if (  rB & ~BT )  begin 
	    if (SW_SET == SW_MAX  ) SW_SET <= 0 ; 
	    else SW_SET <=SW_SET +1 ; 
	end 	 
end

endmodule 