	component Qsys is
		port (
			clk_clk                              : in  std_logic                    := 'X'; -- clk
			esp32_uart_external_connection_rxd   : in  std_logic                    := 'X'; -- rxd
			esp32_uart_external_connection_txd   : out std_logic;                           -- txd
			ledr_external_connection_export      : out std_logic_vector(9 downto 0);        -- export
			reset_reset_n                        : in  std_logic                    := 'X'; -- reset_n
			esp32_rst_external_connection_export : out std_logic                            -- export
		);
	end component Qsys;

	u0 : component Qsys
		port map (
			clk_clk                              => CONNECTED_TO_clk_clk,                              --                            clk.clk
			esp32_uart_external_connection_rxd   => CONNECTED_TO_esp32_uart_external_connection_rxd,   -- esp32_uart_external_connection.rxd
			esp32_uart_external_connection_txd   => CONNECTED_TO_esp32_uart_external_connection_txd,   --                               .txd
			ledr_external_connection_export      => CONNECTED_TO_ledr_external_connection_export,      --       ledr_external_connection.export
			reset_reset_n                        => CONNECTED_TO_reset_reset_n,                        --                          reset.reset_n
			esp32_rst_external_connection_export => CONNECTED_TO_esp32_rst_external_connection_export  --  esp32_rst_external_connection.export
		);

