module	Reset_Delay(
input		   iCLK,
input		   iRESET_N,
output reg	oRESET1,
output reg	oRESET2
);


parameter TIME_OUT = 3*50_000_000 ; //3SEC
reg	[31:0]	Cont;

always@(negedge iRESET_N or  posedge iCLK)
if ( !iRESET_N )  begin 
   oRESET1 <=0; 
   oRESET2 <=0; 
   Cont <=0; 
end 
else 
 begin
 //---------------------- 3 sec
	 if (Cont < TIME_OUT ) begin Cont	<=	Cont+1; oRESET2	<=	1'b0; end else oRESET2	<=	1'b1;
	 
//----------------------- 1 sec 
	 if (Cont < TIME_OUT/3 ) oRESET1	<=	1'b0; else oRESET1	<=	1'b1;
	 
	 
	 
 end

endmodule
